geo_subdivide.cc File Reference

Go to the source code of this file.

## Namespaces

| rheolef
| This file is part of Rheolef.

## Macros

#define | _RHEOLEF_geo_build_by_subdividing(M)
#define | _RHEOLEF_instanciate(T, M)

## Functions

template<class T , class M >
void | geo_build_by_subdividing (geo_rep< T, M > &new_omega, const geo_basic< T, M > &old_omega, typename geo_rep< T, M >::size_type k)
| _RHEOLEF_geo_build_by_subdividing (sequential) _RHEOLEF_geo_build_by_subdividing(distributed) _RHEOLEF_instanciate(Float

## Macro Definition Documentation

## _RHEOLEF_geo_build_by_subdividing

#define _RHEOLEF_geo_build_by_subdividing | ( |  | M | ) |

Value:
template <class T> \
void \
geo_rep<T,M>::build_by_subdividing (const geo_basic<T,M>& omega, size_type nsub) \
{ \
geo_build_by_subdividing (*this, omega, nsub); \
}

Definition at line 268 of file geo_subdivide.cc.

## _RHEOLEF_instanciate

#define _RHEOLEF_instanciate | ( |  | T,
|  |  | M
| ) |  |

Value:
template void geo_rep<Float,M>::build_by_subdividing ( \
const geo_basic<Float,M>& omega, size_t nsub);
size_type
field::size_type size_type
Definition: branch.cc:425